Bug 350181 - Review Request: upslug2 - Upslug2 firmware update utility for the nslu2
Review Request: upslug2 - Upslug2 firmware update utility for the nslu2
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Tibbitts
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-10-24 05:30 EDT by Hans de Goede
Modified: 2007-11-30 17:12 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-07 08:23:23 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
tibbs: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Hans de Goede 2007-10-24 05:30:32 EDT
Spec URL: http://people.atrpms.net/~hdegoede/upslug2.spec
SRPM URL: http://people.atrpms.net/~hdegoede/upslug2-0.0-0.1.svn39.fc9.src.rpm
Description:
upslug2 is a command line program intended to allow the upgrade of a LinkSys
NSLU2 firmware to new or different versions.  Unlike upslug and the LinkSys
(Sercomm) upgrade utilities, upslug2 will synthesise a complete 'image'
from a kernel and a root file system, as such it duplicates part of the
functionality of 'slugimage'.

upslug2 also optimizes the upload to avoid transmitted parts of the image which
need not be written or are 'blank' (set to the erased flash value of all 1's).
Comment 1 Marcel Nijenhof 2007-10-25 17:36:34 EDT
I have build the source package on a x86_64 system and used the upslug2 command
to flash my nslu2 with success!

# upslug2 -i openwrt-nslu2-2.6-squashfs.bin
LKG7FAB7A 00:0f:66:7f:ab:7a Product ID: 1 Protocol ID:0 Firmware Version: R23V63
[0x2363]
Upgrading LKG7FAB7A 00:0f:66:7f:ab:7a
    . original flash contents  * packet timed out
    ! being erased             - erased
    u being upgraded           U upgraded
    v being verified           V verified 

  Display:
    <status> <address completed>+<bytes transmitted but not completed>
  Status:
    * timeout occurred         + sequence error detected

  7fffff+000000 ...VVVVVVVVVVVVVVVVVVVVVVVVVVVVVVVVVVVVVVVVVVVVVVVVVVVVVVVVVVVVV
Rebooting... done
Comment 2 Jason Tibbitts 2007-11-03 15:34:02 EDT
I always wanted to play with an nslu2....

You should probably use "svn export" instead of "svn co"to generate your tarball
so you don't have all of the .svn directory stuff.  It would also be good if
your instructions indicated how to check out the same revision as you have
packaged (svn export -r 39 ....).

Please see the "Snapshot Packages" section of
http://fedoraproject.org/wiki/Packaging/NamingGuidelines for proper naming of
snapshot packages; you need to have the date there first; you can include
"svn39" or whatever else you want after that.

Generally there's no reason to include the name of the package in the summary. 
If you really want it there, though, I won't block this package because of it.

* source files match upstream (checked out and compared manually)
X package does not conform to snapshot package versioning guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
? summary includes name of package.
* description is OK.
* dist tag is present.
* build root is OK.
* license field matches the actual license.
* license is open source-compatible.
* license text included in package.
* latest version is being packaged (trunk version 39).
* BuildRequires are proper.
* compiler flags are appropriate.
* %clean is present.
* package builds in mock (rawhide, x86_64).
* package installs properly
* debuginfo package looks complete.
* rpmlint is silent.
* final provides and requires are sane:
  upslug2-0.0-0.1.svn39.fc8.x86_64.rpm
   upslug2 = 0.0-0.1.svn39.fc8
  =
   libgcc_s.so.1()(64bit)
   libgcc_s.so.1(GCC_3.0)(64bit)
   libpcap.so.0.9()(64bit)
   libstdc++.so.6()(64bit)
   libstdc++.so.6(CXXABI_1.3)(64bit)
   libstdc++.so.6(CXXABI_1.3.1)(64bit)
   libstdc++.so.6(GLIBCXX_3.4)(64bit)
* %check is not present; no test suite upstream.  I don't have the hardware to 
  test this against.  However, I'm happy to trust the test report in comment 1.
* no shared libraries are added to the regular linker search paths.
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* no scriptlets present.
* code, not content.
* documentation is small, so no -docs subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.
* no headers.
* no pkgconfig files.
* no static libraries.
* no libtool .la files.

So really there's just the issue of the package version and a couple of comments
about checking out the source holding this up, and those are pretty minor.  So
if you agree with me about those, consider this package APPROVED and go ahead
and check in.  If you don't then we can discuss it.
Comment 3 Hans de Goede 2007-11-04 08:14:15 EST
Thanks for the review!

New Package CVS Request
=======================
Package Name:      upslug2
Short Description: Firmware update utility for the nslu2
Owners:            jwrdegoede
Branches:          F-7 F-8 devel
InitialCC:         marceln@xs4all.nl (no fas account)
Cvsextras Commits: Yes
Comment 4 Kevin Fenzi 2007-11-04 14:04:18 EST
Unfortunately, we can't add CC's for arbitrary addresses, they will need to get
a FAS account first. ;( 

Otherwise, cvs done. 
Comment 5 Hans de Goede 2007-11-07 08:23:23 EST
imported and build, also pushed as update for F-7 and F-8, closing.

Note You need to log in before you can comment on or make changes to this bug.